import { LitElement } from 'lit';
export declare const ICON_CLOUDSMITH = "icon-cloudsmith";
export declare class IconCloudsmithComponent extends LitElement {
    static readonly defaultTagName = "icon-cloudsmith";
    static styles: any;
    size?: string;
    scheme?: string;
    private rootClassesParts;
    willUpdate(): void;
    protected render(): any;
}
